
define(['jquery', './control'], function($){

	$.widget('ui.parameterChoice', $.ui.parameterControl, {

		_make_html: function() {
			var self = this, o = self.options;
			self.element.empty();

			self.radio = self.element
				.radio({
					buttons: o.parameter.values,
					labels: o.parameter.labels || o.parameter.values,
					checked: $.inArray(o.parameter.value, o.parameter.values)
				})
				.change(function(ev, b){
					console.log('radio change: ', ev.target, $(ev.target).val());
					o.on_select($(ev.target).val());
				});
		},

		_on_content_update: function() {
			this.radio.find('[value="' + this._value + '"]').prop({checked: true});
		}
	});
});
