/*
 *  The purpose of this is to provide a localStorage object without security restrictions to
 *  prevent exceptions for the case where the user has disabled cookies (and hence localStorage)
 */
define(function() {
	try {
		var storage = localStorage;
	} catch(e){
		storage = {setItem: function(){}}
	}
	return storage
});
