

	$(document).ready(function(){

		var lorum = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nibh odio, eleifend nec porta et, ultricies et risus. Morbi euismod justo et nunc molestie vitae tristique lorem fringilla. Mauris ultricies urna ac quam viverra convallis tincidunt orci varius. Aenean vitae felis magna. Suspendisse eu justo sapien, eu adipiscing libero. Quisque lacus lectus, eleifend non pretium nec, imperdiet dapibus libero. Nunc orci tortor, placerat ut vulputate non, tempor vel orci. Aenean dictum dolor in metus tempus molestie. Nulla bibendum, nisi id tincidunt ultrices, leo felis consectetur nulla, vel porta nisl risus at lorem. Nulla facilisi.';
		var test = $('#test-content');

		test.p('Paragraph truncated to one line:');

		test.div({css: {overflow: 'hidden'}})
			.text(lorum)
			.ellipsis();

		test.p('Paragraph truncated to a height of 50 pixels:');

		test.div({css: {height: 50, overflow: 'hidden'}})
			.text(lorum)
			.ellipsis({lines: 2});

		test.p('Paragraph truncated to fill the available space in a box containing multiple elements:');

		var div = test.div({css: {height: 80, overflow: 'hidden'}})
		div.h3('Example Title consectetur adipiscing elit. Integer nibh odio, eleifend nec porta et, ultricies et risus');
		div.div({'class': 'item'})
			.text(lorum)
			.ellipsis({lines: 2, container: div});

		test.p('Paragraph demonstrating the MoreText feature:');

		test.div({css: {overflow: 'hidden'}})
			.text(lorum)
			.ellipsis({moreText: 'More', lessText: 'Less'});

		test.find('.ellipsis').trigger('doEllipsis');
	});
