define(['jquery', 'bus', 'multigrams', 'probe'], function($, Bus) {

    var count = 0;

    $.widget('ui.meteograms', {

        options: {
            messageBus: Bus(),
            // This does not seem to work ...
            //products : ["10d_epsgram_temp", "10d_epsgram_tp"],
            height : 120,
            width  : 525
        },

        _init: function(){
            var self = this, o = this.options;

            if(!o.products) {
                o.products = ["10d_epsgram_2t", "10d_epsgram_tp"];
            }

            count++;

            self.name = "meteograms_" + count;

            self.element
                .addClass('meteograms')
                .on('show', function() { $.openProbe(self); })
                .on('hide', function() { $.closeProbe(self); })
                .multigrams(o);
        },

        _destroy: function(){
            this.element
                .removeClass('meteograms')
                .multigrams('destroy')
                .empty();
            return this;
        }
    });
});
