define(['jquery', 'ajax_queue'], function($, Ajaxqueue) {

	// This is intended to be inlined in the page as an optimisation
	// see: htdocs/sites/all/modules/ecmwf/chart_app/js/options.in.js
	// It is here temporarily to make bundling easier.

	var promises = {}

	return {
		//list: '@PACKAGES',
		title_lookup: function(name) {
			for(var i in this.list){
				if(this.list[i][0] === name) return this.list[i][1];
			}
		},
		get: function(name) {
			return promises[name] || (promises[name] = $.Deferred(function(df) {
				if(name){
					Ajaxqueue({
						url: '/plots/get-package/',
						json: {name: name},
						priority: 'vip',
						complete: function(result) {
							df.resolve(result['package']);
						}
					});
				}else{
					df.resolve();
				}
			}))
		}
	}
});
