define(['jquery'], function($) {
    $.fn.pulsate = function(on, speed) {
        return this.each(function() {
            var elem = $(this);
            speed = speed || 1000;
            function run(){
                elem.animate({opacity: 1}, speed)
                    .delay(speed / 5)
                    .animate({opacity: 0.05}, speed / 2, run);
            }
            if (on) {
                run();
            } else {
                elem.stop(true).css({opacity: 1});
            }
        });
    };
});
