$(function(){
	setTimeout(function() {
		// -must access www because content images are not in dev.
		// -tried pjax but perhaps doesnt work on cached pages?

		$.ajax({
			url: '/content/about/media-centre/news',
			success: function(resp) {
				if(!resp) return;

				var items = $.map(resp.match(/(<li class="views-row[\s\S]*?li>)/gm), function(v, i) {
					if(i < 5) return {
						a: v.match(/h2 class="field-content">(.*)<\/h2/)[1],
						img: v.match(/<img.*\/>/)[0]
					};
				});

				$.each(items, function(i, v) {
					$(v.a).appendTo('.menu-news').empty().append(v.img.replace(location.host, 'www.ecmwf.int'))
						.find('img').css({width: '100%'});
				});
			}
		});

		// TODO get wiki activity
		// https://developer.atlassian.com/display/DOCS/Adding+Activities+to+a+Third+Party+Feed+with+the+REST+API
		/*
		jQuery(function($){
			false && $.ajax({
				url: 'https://software.ecmwf.int/issues/plugins/servlet/streams?maxResults=10&relativeLinks=true&providers=issues+wiki%40e701adce-e9f9-3560-a8b9-10145e45b5fb&_=1405348118053',
				success: function(result){
					console.log('result=', result);
				}
			});
		});
		*/
	}, 4000);
});
