
define(['config', 'jquery'], function(ECMWF, $) {
$(function(){

	// for use on static pages, fetch user information via ajax.
	$('#block-system-user-menu a[href="/auth/login/"], #block-system-user-menu a[href="/user/login/sso"]').each(function() {
		require(['user_info'], function(User) {
			User.info.then(function(user) {
				if(user.user_name){
					$('.logged-in a[href$="user"], #user-bar .login').text(user.user_name);
					$('.logged-in').show();
					$('.menu.not-logged-in').hide();
				}else{
					console.log('user not logged in');
					ECMWF.options.backend_host && $('.not-logged-in a').attr({href: '//' + ECMWF.options.backend_host + '/auth/login/?back=' + encodeURIComponent(location.href)})
				}
			})
		})
	})
})
})
