
define(['jquery', 'bus', 'chart_product', 'chart_layer', 'chart/latlon', 'css!/django/frontend/widgets/canvas_slider/test'], function($, Bus){
	require(['chart', 'css!chart'], function(){

		$(document).ready(function(){
			var el = $('#main-column').orelse($('.node .content'));

			var container = el.div();

			var slider = container.div({id: 'slider'})
				.canvasSlider();

			//the slider currently requires a container signal to set its width. Might be good to move that outside of the widget.
			/*
			container.container({
				layout : 'horizontal',
				expandable : slider
			});
			*/

			el.div({id: 'chart'}).chart({product: '2mT_wind30m'});

			Bus().listen('chart-product-availability', function(event, msg){
				var dates = $.map(msg.valid_time.values, function(a) { return a['valid_time']});
				slider.canvasSlider('setDates', {dates: dates, index: msg.valid_time.index});
			});
		});
	});
});
