/**
 *  A button that uses a Tool. Because the tools are private to the toolbar, a toolbar has to be created.
 */
define(['jquery', 'bus', 'jquery-ui/widget', 'toolbar'], function($, Bus) {

$.widget("ui.toolButton", {

	options: {
		tools: [],
		label: '',
		small: false,
		tooltips: false,
		messageBus: Bus()
	},

	_init: function() {
		var self = this, o = this.options;

		this.element
			.toolbar({tools: o.tools, align:o.align, tooltips:o.tooltips, small:o.small, messageBus: o.messageBus});

		if(o.label){
			self.element.append(div('<p>' + o.label + '</p>', {klass:'labelled-button ui-corner-all ' + o["float"]}));
		}
	},

	destroy: function(){
	},

	set_default_state: function(){
		//$button.removeClass(a.alt_state_class).addClass(this.options.icon);
		return this;
	},

	set_alt_state: function(){
		//$button.removeClass(a.icon).addClass(this.options.alt_state_class);
		return this;
	}
});

});
