
define(['jquery', 'toolbar'], function($, Toolbar) {

	var name = 'animation-toggle';

	Toolbar.register(name, function(toolbar) {
		return new function(toolbar) {

			this.toggleable = true;

			this.destroy = function () {};

			this.name = function () {
				return name;
			};

			this.tool_tip = function() {
				return 'Toggle animation<br/><span style="white-space:nowrap">\'&lt;\' to slow down<span><br/>\'&gt;\' to speed up';
			};

			this.click = function(event, message_bus ) {
				message_bus.send('tool-animation-toggle');
			};
		}
	});
});
