import Toolbar from 'toolbar'

var name = 'drag-zoom';

function Tool(toolbar) {

	this.destroy = function () {};

	this.name = function () {
		return name;
	},

	this.tool_tip = function() {
		return 'Zoom';
	},

	this.click = function(event, message_bus) {
		message_bus.send('tool-drag-zoom-select', {cursor: 'crosshair'});
	},

	this.selectable = true;
}

Toolbar.register(name, function(toolbar) { return new Tool(toolbar) });

