
import Toolbar from 'toolbar'

var name = "next-step";

function Tool(toolbar, callback) {
	this.callback = callback;
	var self = this;

	this.destroy = function() {};

	this.name = function() {
		return name;
	}

	this.tool_tip = function() {
		return 'Next step';
	}

	this.click = function(event, message_bus) {
		if(self.callback) self.callback();

		// message disabled as is not currently being used.
		//message_bus.send('tool-next-step');
	}
}

Toolbar.register(name, function(toolbar, callback) { return new Tool(toolbar, callback) });
