
import Toolbar from 'toolbar'
import 'tool-button'

var name = 'prev-step';

function Tool(toolbar, callback) {
	this.callback = callback ? callback : function(){};
	var self = this;

	this.destroy = function() {};

	this.name = function() {
		return name;
	}

	this.tool_tip = function() {
		return 'Previous step';
	}

	this.click = function(event, message_bus ) {
		self.callback();
		message_bus.send('tool-prev-step');
	}
}

Toolbar.register(name, function(toolbar, on_click) { return new Tool(toolbar, on_click) });
