import './tool'
import 'tool-button'
import $ from 'jquery'
import Toolbar from 'toolbar'

var name = 'print';

function Tool(toolbar, callback) {
	var self = this;
	this.callback = callback || $.noop;

	this.destroy = function() {}

	this.name = function() {
		return name;
	}

	this.tool_tip = function() {
		return 'Print';
	}

	this.click = function(event, message_bus) {
		self.callback();
		message_bus.send('tool-print-select');
	}
}

Toolbar.register(name, function(toolbar, callback) { return new Tool(toolbar, callback) } );

export default Tool
