
	$(document).ready(function(){

		var content = $('#main-column');

		content.p().html('hover-intent: ' + ($.fn.hoverIntent ? '<i>is</i> ' : 'NOT ') + 'loaded.');

		var icon1 = add_item(
			'JTooltip, Message mode:',
			{
				widget: 'jtooltip',
				position: { my: "left center", at: "right top", offset: "0 -20" },
				content: function(){ return {
					text: 'Using latest Base Time',
					mode: 'message'
				}}
			},
			'ui-icon-info'
		);

		var icon1 = add_item(
			'JTooltip, Warning mode:',
			{
				widget: 'jtooltip',
				position: { my: "left center", at: "right top", offset: "0 -20" },
				content: function(){ return {
					text: 'This is a message with Warning mode set',
					mode: 'warning'
				}}
			},
			'ui-icon-info'
		);

		add_item(
			'Long text, Message mode:',
			{
				position: { my: "left center", at: "right top", offset: "0 -20" },
				content: function(){ return {
					text: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum',
					mode: 'message'
				}}
			},
			'ui-icon-info'
		);

		add_item(
			'Jquery UI Tooltip, default mode:',
			{
				widget: 'ui-tooltip',
				content: 'This is a message with no mode set'
			},
			'ui-icon-info'
		);

		add_item(
			'Jquery UI Tooltip, Warning mode:',
			{
				widget: 'ui-tooltip',
				content: {
					text: 'This is a message with Warning mode set',
					mode: 'warning'
				}
			},
			'ui-icon-info'
		);

		function add_item(intro, tooltip_args, icon){
			content.p({css: {marginTop: 30}}).text(intro);
			return content.div()
				.icon2({css_class: 'ui-icon ' + icon})
				.modeTooltip(tooltip_args);
		}

		content.p('standard tooltip containing html').css({marginTop: 30});
		content.p({title: '&nbsp; &copy; <span>span</span>'}).icon2({css_class: 'ui-icon ui-icon-info'});

		content.p({css: {marginTop: 30}}).text('Tool Buttons:');
		this.b2 = $('<div class="float-left toolbar-container"/>')
			.appendTo('#main-column')
			.toolButton({
				tooltips: true,
				tools : [[
					['prev-step', function(){}],
					['next-step', function(){}]
				]]
			});
	});
