/*
 *  Object prototype for filtering a list of content items.
 */
define(['jquery', 'emitter'], function($, Emitter){

return function Filter(o) {
	this.name = 'unnamed';
	this.status = this.fn = $.noop;

	$.extend(this, o);

	this.events = new Emitter();

	this.disable = function(disabled){
		this.disabled = disabled || true;
		return this;
	}

	this.enable = function(enabled){
		this.disabled = enabled || false;
		return this;
	}
}

});
