define(['jquery', 'basic_chart/parameter_controls/control'], function($){

	$.widget('ui.parameterSimple', $.ui.parameterControl, {

		_make_html: function() {
			this.element.empty();
		},

		_make_item_html: function(i) {
			var self = this, o = self.options;

			self.element
				.span(o.parameter.labels ? o.parameter.labels[i] : o.parameter.values[i])
				.addClass(o.parameter.values[i] === self._value ? 'selected' : '')
				.click(function(){
					o.on_select($(this).text());
				});
		},

		_on_content_update: function() {
			var self = this, o = self.options;

			self.element.find('> span').each(function(i, v){
				if(o.parameter.values[i] === self._value) $(this).addClass('selected'); else $(this).removeClass('selected');
			});
		}
	});
});
