/*
 *
 */
(function ($) {

	$.chartRegisterPlugin('flickerFix', function(chart) {
		var self = chart, o = self.options;
		var delay = 500;

		var period = set_period();

		o.messageBus
			.listen('chart-time-select', function(ev, time) {
				(period > delay + 50) && setTimeout(function(){
					chart.clip.css({backgroundImage: 'url(' + chart.element.find('img.frame:visible').attr('src') + ')'});
				}, delay);
			})

			.listen('chart-animation-stop', function(time ){
				chart.clip.css({backgroundImage: 'none'});
			})

			.listen('animation-speed-set', function(_, _speed_factor) {
				(set_period() > delay + 50) || setTimeout(function(){ chart.clip.css({backgroundImage: 'none'}); }, delay);
			});

		function set_period() {
			return period = 439 * Math.pow(1.3, $.getUserPreference('animation_speed'));
		}
	});

} (jQuery));
