/*
 *  Show meteogram overlay
 */
define(['jquery', 'chart'], function($) {

	$.chartMeteogram = function(chart) {

		chart.options.messageBus.listen('latlon-location-select', function(_, position) {
			require(['product_browser/meteogram_overlay'], function() {
				var product = chart.product;
				var time = product.variables.time;

				$('body').meteogramOverlay({
					time: [time.value.base_time.yyyymmddHHMM(), time.value.step, time.value.valid_time.yyyymmddHHMM()],
					position: position,
					product: product
				});
			});
		});

		this.destroy = function() {
		}
	};

	$.chartRegisterPlugin('Meteogram', $.chartMeteogram);
});
