/*
 *  Add a container widget so that the chart responds to window resize events.
 *
 */
define(['jquery', 'chart', 'container'], function($) {

	return function(chart, o) {

		chart.element
			// Make sure we get the resize event
			.container({
				layout: 'single'
			})
			.resize(function() {
				chart.resize();
			});

		this.destroy = function() {
			//chart.element.container('destroy');
		}
	};
});
