

	$(document).ready(function(){

		var test = $('<div class="test-content">').appendTo('#main-column');

		test.append('<p>The boxes below should be sized to fill the dotted box:</p>');

		var ruler = test.div({css: {position: 'absolute', paddingTop: 1}})
		for(var i=0;i<21;i++){
			ruler.div({css: {position: 'absolute', top: (10 * i), height: 1, width: 10, left:140, backgroundColor: '#000'}})
		}

		var container = test.div({css: {height: 200, border: '1px dotted #000'}});
		var a = container.div({css: {height:  48, margin: 1, backgroundColor: '#f99'}});
		var b = container.div({css: {height:  10, margin: 1, backgroundColor: '#9f9', border: '0px solid red'}});
		var c = container.div({css: {height:  48, margin: 1, backgroundColor: '#99f'}});

		container.container({
			layout : 'border',
			north  : a,
			center : b,
			south  : c
		});
		container.trigger('layout', {height: container.height(), width: 200});
		//$(window).trigger('resize');

		setTimeout(function(){
			a.html('height = ' + a.height() + ' + ' + (a.outerHeight(true) - a.height()));
			b.html('height = ' + b.height() + ' + ' + (b.outerHeight(true) - b.height()));
			c.html('height = ' + c.height() + ' + ' + (c.outerHeight(true) - c.height()));

			var s = 'total height = ' + (a.outerHeight(true) + b.outerHeight(true) + c.outerHeight(true));
			test.div().html(s);
		}, 1000);
	});

