define(['jquery', 'core/clone', './browser.js'], function($, clone){

    if (!window.console) {
        window.console = {
            unavailable: true
        };
    }

    if (!window.console.log) {
        window.console.log = function() {};
    }

    if (!window.console.info) {
        window.console.info = function() {};
    }

    if (!window.console.dir) {
        window.console.dir = function() {};
    }

    if (!window.console.warn) {
        window.console.warn = function() {};
    }

    if (!window.console.error) {
        window.console.error = function() {};
    }

    if (!window.console.trace) {
        window.console.trace = function() {};
    }

    window.console.assert || (window.console.assert = function() {});

    //(window.console.group || ((window.console.group = function(){}) (window.console.groupCollapsed = function(){}) (window.console.groupEnd = function(){})))

    if (!window.console.json) {
        window.console.json = function(o) {
            var s = clone.serialise(o);
            var arg2 = s ? '' : o;
            window.console.log(s || 'console.json: unserialisable object: ', arg2);
        };
    }
});
