define(['jquery', './item_base'], function($){

$.widget('ui.listItem', $.ui.viewItemBase, {

	options: {
		item: null,   // a copy - writes will not be reflected in the view.
		grid: null,
		view: null    // used to get read/write access the model.
	},

	_init: function() {
		var self = this, o = this.options;

		if(!o.item){
			return self.element.addClass('empty').empty();
		}

		this._super();

		this.element
			.removeClass('empty')
			.addClass('list-item')
			.find('.col-title')
			.orelse(function(){
				return self.element
					.div({'class': 'col-title'})
			})
			.text(o.item.title_());
	},

	destroy: function(){
		this.element.off().removeClass('list-item');
	}
});

return {
	widgetName: 'listItem',
	className: 'thumbnail-wrapper'
}

});
