define(['vgrid/filter'], function(Filter) {

	// note that this returns a single-use pre-instantiated object.

	return new Filter({
		name: 'package',

		fn: function(item){
			if(!this._selected) return true;
			if(item.data.package !== this._selected) return false;
			return true;
		},

		deactivate: jQuery.noop,

		status: function() {
			return this._selected;
		},

		_selected: null
	});
});
