define(['jquery', 'hover-intent'], function($) {

	$.fn.showOnMouseover = function(args) {
		var o = $.extend({
			hideables: $()
		}, args);

		return $(this).each(function(){
			var el = $(this);

			var timer = 0;

			el.hoverIntent(
				function mouse_in(){
					timer && (clearTimeout(timer), timer = 0);

					o.hideables.stop().show().animate({opacity: 1}, 100);
					el.addClass('over');
				},
				function out(){
					if(!timer){
						timer = setTimeout(function(){
							timer = 0;

							o.hideables.stop().animate({opacity: 0}, 100, function(){
								o.hideables.css({display: 'none'});
							});
							el.removeClass('over');
						}, 300);
					}
				}
			);
		});
	};
});
