/*
 *   This is for use with the apps template only.
 */
define(['config', 'jquery'], function(ECMWF, $) {
$(function(){

	/*
	$('.navigation:visible').each(function() {
		var navigation = $(this);

		/ *
		navigation.div({className: 'navigation-close'})
			.click(function() {
				navigation.toggleClass('closed');
				return false;
			});
		* /

		navigation.click(function() {
			if($(this).hasClass('closed')){
				navigation.removeClass('closed');
				return false;
			}
		});

		$('body').click(function() {
			navigation.addClass('closed');
		});
	});
	*/

	$('.column-1 .menu a').map(function() {
		if($(this).attr('href') === location.pathname) return this;
	}).parent().addClass('active');

	// for use on static pages, fetch user information via ajax.
	$('#user-bar .login').each(function() {
		require(['user_info'], function(User) {
			User.info.then(function(user) {
				if(user.user_name){
					// TODO this will not work fully until templates are updated
					$('.logged-in a[href$="user"], #user-bar .login').text(user.user_name);
					$('.logged-in').show();
					$('.not-logged-in').hide();
				}else{
					console.log('user not logged in');
					ECMWF.options.backend_host && $('.not-logged-in a').attr({href: ECMWF.options.backend_host + '/auth/login/'})
				}
			});
		});
		/* this is a lighter version of the above that has less dependencies
		$.ajax({
			url: ECMWF.options.backend_host + '/plots/user-info/',
			complete: function(resp) {
				if(resp.status === 200){
					var result = resp.responseJSON;
					if(result.user_name && $('#user-bar .login, #block-system-user-menu a[href="/auth/login/"]').length){
						console.log('user=', result.user_name);
						// TODO this will not work fully until templates are updated
						$('.logged-in').show();
						$('.not-logged-in').hide();
					}
				}
			}
		});
		*/
	});

	require(['node-waves'], function(Waves) {
		if(Waves){
			Waves.init();
			Waves.attach('.button');
		}
	});
});
});
