define(['jquery', 'bus'], function($, Bus) {
	$(document).ready(function(){

		//var p = new Product("dummy", "wind", "europe");
		//p.availability(function(current, dates) {
		//   console.log($.map(dates,function(a) { return a.step; }));
		//});

		var messageBus = Bus();
		$('body div').canvasSlider({}).css('background-color', '#ddd');

		get_availability(function(a, b){
			messageBus.send('chart-product-availability', {availability:a, index:b})
		});

		function get_availability(ready) {
			var availability;

			Ajaxqueue({
				url         : "{% url 'backend:get-availability' %}",
				dataType    : 'json',
				data        : {
					json:JSON.to_string({product:'wind'})
				},
				cancelled_by : this.owner,
				success     : function(result) {
					var dates = $.map(result, function(a) { return new Time(a); });
					availability = dates.sort(function(a,b) { return a.valid_time - b.valid_time;});
					ready(availability, 12);
				}
			});
		}

		messageBus.listen('slider-time-change', function(event, msg){
			messageBus.send('chart-time-select', msg);
		});
	});
});
