
define(['jquery', 'toolbar'], function($, Toolbar) {

    var name = 'flip';

    function Tool(toolbar, callback) {
        this.callback = callback;
        var self = this;

        this.toggleable = true;

        this.destroy = function () {};

        this.name = function () {
            return name;
        };

        this.tool_tip = function() {
            return 'Flip';
        };

        this.click = function(event, message_bus ) {
            if(self.callback) self.callback();
            message_bus.send('tool-flip');
        };
    };

    Toolbar.register(name, function(toolbar, on_click) { return new Tool(toolbar, on_click) } );

});
