
import Toolbar from 'toolbar'

var name = 'full-map';

function Tool(toolbar, callback) {
	this.callback = callback;
	var self = this;

	this.destroy = function() {}

	this.name = function() {
		return name;
	}

	this.tool_tip = function() {
		return 'Maximize map';
	}

	this.click = function(event, message_bus) {
		if(self.callback) self.callback();

		message_bus.send('tool-full-map');
	}
}

Toolbar.register(name, function(toolbar, callback) { return new Tool(toolbar, callback) });
