import $ from 'jquery'
import Toolbar from 'toolbar'
import Bus from 'bus'

var name = 'goto-marker';
var text = 'Zoom to marker';

Toolbar.register(name, function (toolbar, callback) {
	return new $.Tool(name, toolbar, {
		callback: callback,
		tip: function () {
			return text;
		}
	})
});

Bus().listen('latlon-location-select', function (_, pt) {
	text = "Zoom to " + (pt.title ? pt.title : $.formatGeoLocation(pt));
});

