define(['../filter'], function(Filter){

	function PackageFilter() {
		this.name = 'package'

		this.fn = function(item){
			if(!this._selected) return true;
			if(item.data.package !== this._selected) return false;
			return true;
		}

		this.set = function(prop){
			var pkg = prop[0];
			this._selected = pkg;
			this.events.send('changed', [prop, true]);
		}

		this.deactivate = function() {
			this._selected = null;
			this.events.send('changed');
		}

		this.status = function() {
			return this._selected;
		}

		this._selected: null
	});

	PackageFilter.prototype = new Filter()

	return PackageFilter;
});
