/*
 *   Copied from previous version. Requires substantial review
 */
define(['jquery'], function($){
	return {
		create: function() {
			var self = this, o = this.options;

			this.cache = {
				n_cells: null,        // the total number of dom elements. includes disabled items and overscan.
				//max_height: o.grid.element.css('maxHeight') && parseInt(o.grid.element.css('maxHeight'), 10) - parseInt(o.grid.outer.css('marginTop'), 10) - parseInt(o.grid.outer.css('marginBottom'), 10)
			}

			this.have = {
				assignment: $.Deferred(),//.done(o.grid.options.on_view_ready),
				//size: $.Deferred().done(o.grid.options.on_view_ready)
				size: $.Deferred().done(function(){ console.log('TODO size ready'); })
			}

			this.megatooltips = false && __DEV__ && this.options.products.product_type !== 'eccharts'

			o.renderer.on.render.subscribe(self, function(){
				var el = $(o.renderer.root);
				var scrollable = el.find('.scrollable')
				var visible = el.find('.catalogue-grid').addBack().is(':visible') // scrollTop is not available if the element is hidden
				if(scrollable.length && visible){
					setTimeout(function() {
						o.renderer.on.render.unsubscribe(self);
					}, 0)

					// TODO do this in the scrollbar?
					o.scrollbar.state.top = scrollable.scrollTop();
					self.scrollable = scrollable;
					self.scroll(self.scrollable.scrollTop());

					// TODO perhaps move to vgrid/index.js
					// TODO why is it getting stuck?
					var over;
					__DEV__ && self.megatooltips && el.hoverIntent({
						over: function(e) {
							var target = $(this);
							var item = over = o.products.product_by_name(target.attr('name') || target.find('img.thumbnail-img').attr('name'));
							console.log('over: item=', item);
							if(!target.parent().data('tipsy')){
								item.large_thumbnail(null, function(result) {
									if(over === item && el.is(':visible')){
										$('body > .tipsy').remove(); // TODO do this more systematically
										target.parent()
											.tipsy({
												title: function(){return '<h3>' + item.title_() + '</h3><img src="' + result.result.url + '"/><p>' + item.data.description + '</p>'},
												//TODO change gravity if near page bottom, or stop the page scrollbars appearing and disappearing
												//gravity: $.fn.tipsy.autoNS,
												gravity: function() {
													// TODO lose focus if gravity is not north
													return 'n'
													return $(this).offset().top > ($(document).scrollTop() + $(window).height() / 2) ? 's' : 'n';
												},
												html: true,
												className: 'large-thumbnail',
												opacity: 1,
												fade: true,
												delayIn: 1000
											})
											.tipsy('show')
									}
								})
							}
						},
						out: function(e) {
							console.log('out')
							over = null;
						},
						selector: 'img',
						timeout: 1000
					});
				}
			})
		},

		item_options: {
		},

		_assign_fresh: function() {
			console.warn('ASSIGN FRESH');
			var self = this;

			self.visible_items = {};

			var n = 0;
			self._each_allocated(function(item, m, d){
				self.visible_items[list.items[m].name()] = list.items[m];
				//self._assign(d, m);
				n = d;
			});

			var d = list.filtered.length ? n + 1 : 0;
			//console.log('_assign_fresh: matches=' + list.filtered.length + ' visible=' + self.cache.n_cells + ' cleared=' + (self.cache.n_cells - d) + ' elems=', self.element.find('.thumbnail').length, self.element.find('.thumbnail:visible').length);

			//clear remaining dom elements:
			for(;d<self.cache.n_cells;d++){
				self._unassign(d);
				self.assigned[d].widget({item: null});
			}

			self._on_n_viewable_items_changed();

			self.have.assignment.resolve();

			self.options.progress && self._start_progress();
		},

		_on_n_viewable_items_changed: function() {
			this._set_scrollbar_size();
		},

		resize: function() {
			var self = this, o = self.options;

//			if(!self.element.is(':visible') && !o.grid.options.size_fits_content) return;
			self._old_n_visible_items = self.cache.n_cells;
			var old_n_columns = self.n_columns;

			self.n_columns = Math.floor(o.width / (self.item_width + self.padding.x));
			if(__DEV__ && self.n_columns < 1) self.n_columns = 5, console.warn('failed to calculate number of columns: width=', o.width);
			self.cache.n_cells = self.n_columns * (Math.round(o.height / (self.item_height + self.padding.y)) + this.overscan);

			if((self.n_columns !== old_n_columns) || (self.cache.n_cells !== self._old_n_visible_items)){
				//console.log('thumbs.resize: need re-layout: height=' + o.height + ' n_visible=' + self.cache.n_cells);
				o.products.have.filtering.done(function(){
					self._assign_fresh();
//					self._set_scrollbar_size();
				});
			}
		},

		scroll_to: function() {
		},

		_set_scrollbar_size: function() {
			var self = this, o = this.options;

			/*
			if(self.n_columns){
				var height = self.natural_height() + 20;

				// no! we need to set the full (inner) height here
				//if(self.cache.max_height) height = Math.min(height, self.cache.max_height - o.grid.widgets.foot.outerHeight(true));

				self.element.css({height: height})
					.attr({sizor: 'view_base.set_scrollbar_size'});
				//console.log('_set_scrollbar_size: n_viewable=', list.filtered.length, ' ncolumns=', self.n_columns, ' natural_height=', height, '/', self.natural_height(), o.grid.container);
				self.have.size.resolve();
				self.element.parent().perfectScrollbar('update');
			}
			*/
		}
	}
})
