/*
 *  ECMWF global webpack configuration.
 *  Extend this object with your project config.
 */
module.exports = {
	resolve: {
		alias: {
			'ajax_loader': '@ecmwf/ajax-loader',
			'ajax-loader': '@ecmwf/ajax-loader',
			'ajax-indicator': '@ecmwf/ajax-indicator',
			'ajax_queue': '@ecmwf/core/ajax_queue',
			'animator': '@ecmwf/core/animator',
			'application': '@ecmwf/application',
			'basic_chart': '@ecmwf/basic_chart',
			'background_mask': '@ecmwf/background_mask',
			'bootstrap_modal': '@ecmwf/bootstrap_modal',
			'browser': '@ecmwf/core/browser',
			'bus': '@ecmwf/core/bus',
			'canvas_slider': '@ecmwf/canvas_slider',
			'cache': '@ecmwf/core/cache',
			'chart': '@ecmwf/chart',
			'chart_app': '@ecmwf/chart_app',
			'cities': '@ecmwf/cities',
			'console': '@ecmwf/core/console',
			'dimensions': '@ecmwf/core/dimensions',
			'framework': '@ecmwf/core/framework',
			'hover_intent': 'hoverintent-jqplugin',
			'log': '@ecmwf/core/log',
			'matrix': 'sylvester.js',
			'settings': '@ecmwf/core/settings',
			'spin': 'spin.js',
			'storage': '@ecmwf/core/storage',
			'time': 'core/time',
			'utc-date': '@ecmwf/core/utc_date',
			'undo': '@ecmwf/core/undo',
			'user_info': '@ecmwf/utils/user_info',
			'waves': 'node-waves',

			'canvas': 'excanvas',
			'hover-intent': 'hoverintent-jqplugin'
		}
	}
}
