// this has not been recently used and is in need of refactoring to match other product types.
define(['jquery', 'utils', 'ajax_queue'], function($, Utils, Ajaxqueue){

	return new (function EcchartsProducts(){
		this.kind = 'product';

		this.fetch = function(on_success){
			console.log('eccharts_products.fetch');
			var self = this;

			//args = $.extend({success: function(){}, dblclick: function(){}}, args);
			var args = {};

			if(this.kind == 'user_meteogram'){
				return on_success($([{name: 'meteogram', title: 'Meteogram 1'}]));
			}

			Ajaxqueue({
				url        : ECMWF.options.urls[self.kind + '_list'],
				priority   : args.priority || 'very-high',
				log_errors : 'Catalogue list (' + self.kind + ')',
				success    : function (list) {
					for(var p in list) $.extend(list[p], {get_thumbnail: self.thumbnail, /*get_image: self.image,*/ kind: 'product'});
					console.warn('EcchartsProducts: FIXME interface change: should return list of objects with name, title_, and thumbnail methods');
					on_success(self.list = $(list));

					if(this.debug){
						var dbg = $('body').div({css: {position: 'absolute', bottom: '0', width: 200, height: 300}});
						self.list.each(function(i){
							dbg.div({css: {whiteSpace: 'nowrap'}}).text(i + ' ' + this.title);
						});
					}
				}
			});
		}

		this.keywords = function(order){
			console.log('eccharts_products.keywords');
			var self = this;

			function sort_keywords_by_popularity(keywords){
				function sortfunction(a, b){
					return a.n < b.n;
				}
				var arr = [];
				for(var i in keywords){
					arr.push({name:i, n: keywords[i]});
				}
				arr.sort(sortfunction);
				return arr;
			}

			var tags = {};
			if(true || order === 'by_popularity'){
				self.list.each(function(){
					var _tags = this.keywords.split(', ');
					for(var i in _tags){
						if(_tags[i]){
							if(typeof tags[_tags[i]] === 'undefined') tags[_tags[i]] = 1;
							else tags[_tags[i]]++;
						}
					}
				});
				return sort_keywords_by_popularity(tags);
			}

			//for unsorted tags, return an object not an array.
			//-this path is currently not used.
			self.list.each(function(){
				var _tags = this.keywords.split(', ');
				for(var i in _tags){
					if(_tags[i]){
						if(typeof tags[_tags[i]] === 'undefined') tags[_tags[i]] = 1;
						else tags[_tags[i]]++;
					}
				}
			});
			return tags;
		},

		this.image = function(item, o, done){
			var url = ECMWF.options.urls.product_map.replace('NAME', o.model.name).replace('PROJECTION', 'global');
			done && done(url);
		},

		this.thumbnail = function(item, o, done){
			// this is normally run in the context of the item, not the collection

			if(!item) return;
			o = o || {};
			var self = this;

			if(this.kind == 'user_meteogram'){
				return;
			}

			var date = new Date();

			var url = o.size
				? ECMWF.options.urls['get_chart'] //temporary! which is the correct url for small thumbnails?
				: ECMWF.options.urls[this.kind + '_thumbnail'].replace('NAME', item.name);
			var data = o.size
				? {json: JSON.stringify({
						product: {
							product: item.name,
							time: {base_time: date.format('yyyymmdd0000'), step: 6, valid_time: date.format("yyyymmdd0600")},
							viewport: {top:0, left:0, width:64, height:24}
						}
					})}
				: {};
			var img = o.dom.find('img');

			function error(){
				img.css({height: 'auto', width: 'auto'}).attr('src', Utils.blank_gif);
				done && done(null, {error: 'thumbnail error'})
			}

			Ajaxqueue({
				url        : url,
				data       : data,
				//tag        : this.kind + o.tag + '_' + cancel_id,
				priority   : 'normal',
				cache      : 30 * 60 * 1000,
				log_errors : "Get " + this.kind + " thumbail (" +  item.title + ")",
				success: function (json) {
					if(!json){
						error();
						return;
					}

					done && done(json.url);
				},
				error: function() {
					error();
				}
			});
		}
	})();
});
