/*
 * Documentation for product-list object interface
 *
 */
define([], function(){
	return new (function BasicInstances(){

		/*
		 *  gets a hydrated product list
		 *
		 *  pkg is optional, args can be swapped
		 */
		this.fetch = function(pkg, on_success){
		}

		/*
		 *  gets a simple of list of products with only enough information to display and filter a list
		 *
		 *  pkg is optional, args can be swapped
		 */
		this.fetch_lite = function(pkg, on_success){
		}

		/*
		 *  gets a simple array of strings
		 */
		this.packages = function(on_success){
		}

		/*
		 *  Currently is not async.
		 */
		this.facets = function(){
		}

		/*
		 *  Subject to review
		 */
		this.keywords = function(){
		}

	})();
});
