/*
 *  Subclass of the model object used by the ECMWF Chart widget.
 */
var WWWProduct = (function($) {

	var defaults = {
		name: 'ecmwf_sample_product_snow_cover_ecchart',
		package: 'sample_product',
		axis : '{}'
	}

	function WWWProduct(args) {
		console.log('new WWWProduct: args=', args);
		this.request = args || defaults;
	}

	WWWProduct.prototype = $.extend({}, Product.prototype, {

		get_chart: function(req){

			// TODO Eccharts appears to already have an instance name, eg "map_1".
			//      -perhaps the chart widget should use the existing instance name for web2013 products.
			req = $.extend({}, req);
			delete req.name;

			var request = $.extend(true,
				{
					url: ECMWF.options.ajax.legacy_plot,
					json: $.extend({}, defaults, this.request)
				},
				req
			);
			//console.log('WWWProduct.get_chart: request=', request);

			Ajaxqueue(request);
		}
	});

	return WWWProduct;

}(jQuery));


